|  | ## Cheshire3 Object Model: Class SaxRecord

Module record :: Class SaxRecord

## Class SaxRecord
source code

Object Tree:

    baseObjects.Record --+
                         |
                        SaxRecord

Instance Methods

__repr__(self)
__init__(self, saxList, xml="", docid=None, recordSize=0)
process_xpath(self, xpTuple, maps={}) Process the given xpath (either string or compiled), perhaps with some supplied namespace mappings.
_handleAttribute(self, xp, maps={})
_checkSaxXPathLine(self, xp, line)
_checkSaxXPathNode(self, step, name, attrs, line, posn)
_checkSaxXPathPredicate(self, pred, name, attrs, line, posn, predPosn)
_checkSaxXPathAttr(self, pred, attrs)
_convert_elem(self, line)
saxify(self, handler=None, sax=[])
get_dom(self) Return the DOM document node for the record.
get_xml(self, events=[]) Return the XML for the record as a serialised string.
get_sax(self) Return the list of SAX events for the record, serialised according to the internal C3 format.

Class Variables

Inherited from `baseObjects.Record`: `baseUri`, `dom`, `elementHash`, `history`, `parent`, `processHistory`, `recordStore`, `resultSetItem`, `rights`, `sax`, `schema`, `schemaType`, `status`, `xml`

Method Details

### __repr__(self) (Representation operator) | source code

### __init__(self, saxList, xml="", docid=None, recordSize=0) (Constructor) | source code
Overrides: baseObjects.Record.__init__

### process_xpath(self, xpTuple, maps={}) | source code
Process the given xpath (either string or compiled), perhaps with some supplied namespace mappings. Overrides: baseObjects.Record.process_xpath (inherited documentation)

### _handleAttribute(self, xp, maps={}) | source code

### _checkSaxXPathLine(self, xp, line) | source code

### _checkSaxXPathNode(self, step, name, attrs, line, posn) | source code

### _checkSaxXPathPredicate(self, pred, name, attrs, line, posn, predPosn) | source code

### _checkSaxXPathAttr(self, pred, attrs) | source code

### _convert_elem(self, line) | source code

### saxify(self, handler=None, sax=[]) | source code

### get_dom(self) | source code
Return the DOM document node for the record. Overrides: baseObjects.Record.get_dom (inherited documentation)

### get_xml(self, events=[]) | source code
Return the XML for the record as a serialised string. Overrides: baseObjects.Record.get_xml (inherited documentation)

### get_sax(self) | source code
Return the list of SAX events for the record, serialised according to the internal C3 format. Overrides: baseObjects.Record.get_sax (inherited documentation)